Results 1 to 4 of 4
  1. #1

    Question React-Native release build fails

    Hi all,
    I hope I'm writing this in right place.

    I'm developing Android application with react-native using lightstreamer-client.

    I had small issue using lightstreamer while developing.
    The error was "/node_modules/lightstreamer-client/lightstreamer.js: 'with' in strict mode"

    and solution was to add



    I'm having issue with building my release apk. Problem is occurred when I installed lightstreamer-client module. On their site they say you should add this line to .babelrc:
    "ignore": [ "./node_modules/lightstreamer-client/lightstreamer" ]

    I'm having issue with building my release apk. Problem is occurred when I installed lightstreamer-client module. On their site they say you should add this line to .babelrc:
    "ignore": [ "./node_modules/lightstreamer-client/lightstreamer" ]

    "ignore": [ "./node_modules/lightstreamer-client/lightstreamer" ]
    to .babelrc (you wrote it on your github example for react-native).

    Now, I tried to compile release version and I get same error as if it skips .babelrc or use some other config file.

    Do you have any tip how to solve this?

    Thanks in advance.

    Cheers,
    Stefan

  2. #2
    Administrator
    Join Date
    Feb 2012
    Location
    Milano
    Posts
    503
    Hi Stefan,

    You can find on npm the strict mode compatible version of the Lightstreamer Node.js Client Library, it’s versioned as 7.0.7.
    You need also Lightstreamer Server 7.

    Please let us know if you need any further clarifications.

    Regards,
    Giuseppe

  3. #3
    Hi Giuseppe,

    thanks for fast replay. This works for me. Build was successful.

    I just want to ask do you have some strict mode compatible version of Lightstreamer client that is compatible with Server version 6.1.0?

    Once again, thanks for your answer.

    Kind regards,
    Stefan

  4. #4
    Administrator
    Join Date
    Feb 2012
    Location
    Milano
    Posts
    503
    Hi Stefan,

    I confirm that exist a patch for the Lightstreamer server 6.1.0 that support the JavaScript client library 7.0.7 and so allow to use the client library in 'strict mode'.
    However, there is no a plan for public release of this patch, but can be requested by customers at support@lightstreamer.com.

    Regards,
    Giuseppe

 

 

Similar Threads

  1. Replies: 3
    Last Post: July 29th, 2014, 01:15 PM
  2. Server start fails on Windows
    By UweF in forum General
    Replies: 1
    Last Post: November 19th, 2010, 12:41 PM
  3. Lightstreamer fails to start when run as a service
    By PeterHiross in forum General
    Replies: 2
    Last Post: August 25th, 2010, 05:27 PM
  4. iPhone Native Client
    By Alessandro in forum Client Protocol
    Replies: 4
    Last Post: March 24th, 2009, 11:16 AM
  5. Replies: 6
    Last Post: May 7th, 2007, 06:19 PM

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
All times are GMT +1. The time now is 12:58 PM.